Bug 1430349 - ValueError: Size limit must be greater than zero.
ValueError: Size limit must be greater than zero.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:fe73238df1cd4ae1a626cc7a7de...
:
: 1439060 1439717 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-08 07:29 EST by Martin Kolman
Modified: 2017-04-18 06:05 EDT (History)
12 users (show)

See Also:
Fixed In Version: blivet-gui-2.1.2-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 06:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (273.13 KB, text/plain)
2017-03-08 07:30 EST, Martin Kolman
no flags Details
File: environ (529 bytes, text/plain)
2017-03-08 07:30 EST, Martin Kolman
no flags Details
File: lsblk_output (3.39 KB, text/plain)
2017-03-08 07:30 EST, Martin Kolman
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2017-03-08 07:30 EST, Martin Kolman
no flags Details
File: os_info (451 bytes, text/plain)
2017-03-08 07:30 EST, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2017-03-08 07:29:55 EST
Description of problem:
Tried to add a physical volume to a thin pool (yes, it's present in the list of options in the add dialog launched when thin pool is selected and the + icon clicked).

Version-Release number of selected component:
anaconda-26.21-1

The following was filed automatically by anaconda:
anaconda 26.21-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivetgui/dialogs/size_chooser.py", line 208, in max_size_limit
    raise ValueError("Size limit must be greater than zero.")
  File "/usr/lib/python3.6/site-packages/blivetgui/dialogs/add_dialog.py", line 773, in on_filesystems_combo_changed
    self.size_area.max_size_limit = self._get_max_size_limit()
ValueError: Size limit must be greater than zero.

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc0.git9.1.fc27.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Martin Kolman 2017-03-08 07:30:01 EST
Created attachment 1261245 [details]
File: anaconda-tb
Comment 2 Martin Kolman 2017-03-08 07:30:03 EST
Created attachment 1261246 [details]
File: environ
Comment 3 Martin Kolman 2017-03-08 07:30:05 EST
Created attachment 1261247 [details]
File: lsblk_output
Comment 4 Martin Kolman 2017-03-08 07:30:06 EST
Created attachment 1261248 [details]
File: nmcli_dev_list
Comment 5 Martin Kolman 2017-03-08 07:30:07 EST
Created attachment 1261249 [details]
File: os_info
Comment 6 Vojtech Trefny 2017-04-05 03:28:40 EDT
*** Bug 1439060 has been marked as a duplicate of this bug. ***
Comment 7 Jakub Vavra 2017-04-05 03:37:24 EDT
Similar problem has been detected:

It looks like blivet gui crashes whenever lvm pv is created.

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/libexec/system-python  /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
package:        anaconda-26.21.1-1
product:        Fedora
reason:         ValueError: Size limit must be greater than zero.
release:        Cannot get release name.
version:        26
Comment 8 Alessio 2017-04-06 07:54:44 EDT
Similar problem has been detected:

Using BlivetGUI.
Delete existing partitions.
New -> Slect @physical volume (LVM)" from Filesystem dropdwon menu.
Crash.

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
hashmarkername: anaconda
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
other involved packages: blivet-gui-2.1.1-1.fc26.noarch
package:        anaconda-core-26.21.1-1.fc26.x86_64
product:        Fedora
reason:         ValueError: Size limit must be greater than zero.
release:        Fedora release 26 (Twenty Six)
version:        26
Comment 9 Vojtech Trefny 2017-04-06 09:38:46 EDT
*** Bug 1439717 has been marked as a duplicate of this bug. ***
Comment 10 lnie 2017-04-08 04:30:48 EDT
Similar problem has been detected:

Try to set the Filesystem to physical volume( LVM)

addons:         com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
hashmarkername: anaconda
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
other involved packages: blivet-gui-2.1.1-1.fc26.noarch
package:        anaconda-core-26.21.1-1.fc26.x86_64
product:        Fedora
reason:         ValueError: Size limit must be greater than zero.
release:        Fedora release 26 (Twenty Six)
version:        26

Note You need to log in before you can comment on or make changes to this bug.